Skip to main content
POST
/
schedule
/
v1
/
work-entries
/
clock
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/work-entries/clock \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "550e8400-e29b-41d4-a716-446655440000"
}
'
{
  "data": {
    "id": "770e8400-e29b-41d4-a716-446655440000",
    "workCheckTypeId": null,
    "employee": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "firstName": "John",
      "lastName": "Doe"
    },
    "workEntryType": "work",
    "workEntryIn": {
      "origin": "api",
      "date": "2025-01-26T09:00:00+01:00",
      "coordinates": {
        "latitude": 40.7128,
        "longitude": -74.006
      },
      "officeId": null
    },
    "workEntryOut": null,
    "hasIncidence": false,
    "workedSeconds": 0,
    "createdAt": "2025-01-26T09:00:00+01:00",
    "updatedAt": "2025-01-26T09:00:00+01:00",
    "deletedAt": null
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Clock request data

employeeId
string<uuid>
required

The employee's unique identifier

workEntryIn
object

Entry data (coordinates)

workCheckTypeId
string<uuid> | null

Work check type ID (only applies to clock-in). Must be assigned to the employee.

workBreakId
string<uuid> | null

Work break ID for pause entries (only applies to clock-in)

withIncidence
boolean
default:false

If true and a clock-out is performed, creates an incidence of type 'closed_api'. The employee will be notified about this incidence. Useful for closing entries that were open from previous days.

Response

Clock action performed successfully

data
object

Work entry data

meta
object